Bug 1088618 - [GSS] (6.3.0) Cache string representation of throwable info
Summary: [GSS] (6.3.0) Cache string representation of throwable info
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR0
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1059857 1087630
TreeView+ depends on / blocked
 
Reported: 2014-04-16 21:28 UTC by Brad Maxwell
Modified: 2014-10-25 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The stack trace information was not guaranteed to be stored correctly in previous releases of JBoss EAP 6. As a result, data could be lost upon serialization of Log4J logging events. To fix this, Log4J has been amended to cache the stack trace (i.e. throwable information) upon deserialization. This ensures that stack trace information will not be lost upon serialization.
Clone Of: 1087630
Environment:
Last Closed: 2014-08-06 14:38:20 UTC
Type: Bug
smumford: needinfo-


Attachments (Terms of Use)

Description Brad Maxwell 2014-04-16 21:28:34 UTC
+++ This bug was initially created as a clone of Bug #1087630 +++

This is the only fix that is added (other than the System.out fix for bz 1070453) by taking the upgrade of log4j-jboss-logmanager from 1.0.2 to 1.1.0.

https://github.com/jboss-logging/log4j-jboss-logmanager/commit/eb772e3f3595793f1a7ef19408f3a86af10468f3

--- Additional comment from Kyle Lape on 2014-04-14 17:16:09 EDT ---

Since this BZ's component upgrade is already POST, I'm changing this to POST as well.

Comment 2 Russell Dickenson 2014-05-13 04:08:06 UTC
Attention: Matt

I simply can't determine from this BZ ticket or the associated git commit, the CCFR text, which is to appear in the Release Notes document. Please provide draft text that which can work on.

Comment 4 Nikoleta Ziakova 2014-07-02 07:15:00 UTC
Verified with EAP 6.3.0.ER8

Comment 5 Nikoleta Ziakova 2014-07-02 07:18:08 UTC
@Russell,
this issue is a clone of BZ 1087630 and Kyle provided the Doc Text there. I think you can use it, it is the same issue for different EAP version


Note You need to log in before you can comment on or make changes to this bug.